Name:           python-numpydoc
Version:        0.4
Release:        %mkrel 3
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/numpydoc
Source0:        https://pypi.python.org/packages/source/n/numpydoc/numpydoc-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-matplotlib

%description
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.

%prep
%setup -q -n numpydoc-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
nosetests -v
 
%files
%doc LICENSE.txt
%{_bindir}/autosummary_generate
%{python_sitelib}/numpydoc
%{python_sitelib}/numpydoc-%{version}-py?.?.egg-info




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 543888
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4-2.mga4
+ Revision: 498980
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.4-1.mga4
+ Revision: 472045
- add Group
- imported package python-numpydoc

